<template>
    <div class="uk-card uk-card-default coin-arrondi">
        <div class="contenu-card full-size coin-arrondi">
            <div class="uk-inline full-size coin-arrondi">
                <img
                    v-if="lecon.image"
                    class="full-size coin-arrondi"
                    :src="getImageLink()"
                    alt=""
                />
                <div
                    class="uk-overlay-default uk-position-cover coin-arrondi"
                ></div>
                <div class="uk-overlay uk-position-top-center uk-dark">
                    <h3 style="text-align:center">{{ lecon.titre }}</h3>
                    <h4 style="text-align:center">{{ lecon.niveau }}</h4>
                    <p class="tags">
                        <span
                            v-for="tag in lecon.tagsProbleme"
                            :key="tag.libelle"
                            class="uk-badge"
                            >{{ tag.libelle }}</span
                        >
                    </p>
                </div>
            </div>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
@Component
export default class ElementListeLecon extends Vue {
    @Prop() lecon: Record<string, any>;

    getImageLink(): string {
        return this.$images + 'exercices/' + this.lecon.image + '.jpg';
    }
}
</script>

<style scoped>
.coin-arrondi {
    border-radius: 15px;
}

.contenu-card {
    /* position: absolute;
    z-index: 0; */
}

.full-size {
    width: 100%;
    height: 100%;
    min-height: 200px;
}

.tags {
    margin: 5px;
}
.contenu {
    position: relative;
}
</style>
